E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GAuth::SaslServerPamImp Class Reference

A private implementation class used by GAuth::SaslServerPam. More...

## Public Member Functions
| SaslServerPamImp (bool valid, bool allow_apop)
bool | active () const
bool | init (const std::string &mechanism)
std::string | apply (const std::string &pwd, bool &done)
std::string | id () const
bool | authenticated () const

## Detailed Description

A private implementation class used by GAuth::SaslServerPam.

Definition at line 37 of file gsaslserverpam.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsaslserverpam.cpp